[arch-commits] Commit in kdeadmin/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Wed Apr 22 19:19:39 EDT 2009


    Date: Wednesday, April 22, 2009 @ 19:19:39
  Author: giovanni
Revision: 36458

Merged revisions 36443 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/kdeadmin/trunk

........
  r36443 | andrea | 2009-04-22 07:23:02 -0700 (mer, 22 apr 2009) | 1 line
  
  upgpkg: kdeadmin 4.2.2-2
........

Added:
  kdeadmin/repos/extra-x86_64/fix-syslog-path.patch
    (from rev 36443, kdeadmin/trunk/fix-syslog-path.patch)
Modified:
  kdeadmin/repos/extra-x86_64/	(properties)
  kdeadmin/repos/extra-x86_64/PKGBUILD

-----------------------+
 PKGBUILD              |   13 +++++++++----
 fix-syslog-path.patch |   11 +++++++++++
 2 files changed, 20 insertions(+), 4 deletions(-)


Property changes on: kdeadmin/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /kdeadmin/trunk:1-31580
   + /kdeadmin/trunk:1-36457

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-22 23:10:19 UTC (rev 36457)
+++ extra-x86_64/PKGBUILD	2009-04-22 23:19:39 UTC (rev 36458)
@@ -3,21 +3,26 @@
 
 pkgname=kdeadmin
 pkgver=4.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="KDE Administration Programs"
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
 license=('GPL' 'LGPL' 'FDL')
 groups=('kde')
-depends=('kdepimlibs' 'kdebase-runtime' 'kdebindings' 'system-config-printer')
+depends=('kdepimlibs' 'kdebase-runtime' 'kdebindings' 'system-config-printer>=1.1.7')
 makedepends=('pkgconfig' 'cmake' 'automoc4')
 options=('docs')
 install='kdeadmin.install'
-source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2")
-md5sums=('b9104de38fa36962a2812aa9cae8fc5f')
+source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
+	'fix-syslog-path.patch')
+md5sums=('b9104de38fa36962a2812aa9cae8fc5f'
+         '577bfd807bd3216f081f2113975c7564')
 
 build() {
 	cd $srcdir
+
+	patch -p0 -i ${srcdir}/fix-syslog-path.patch || return 1
+
 	mkdir build
 	cd build
 	cmake ../${pkgname}-${pkgver} \

Copied: kdeadmin/repos/extra-x86_64/fix-syslog-path.patch (from rev 36443, kdeadmin/trunk/fix-syslog-path.patch)
===================================================================
--- extra-x86_64/fix-syslog-path.patch	                        (rev 0)
+++ extra-x86_64/fix-syslog-path.patch	2009-04-22 23:19:39 UTC (rev 36458)
@@ -0,0 +1,11 @@
+--- kdeadmin-4.2.2/ksystemlog/src/modes/system/systemConfiguration.h~	2009-04-22 16:11:44.000000000 +0200
++++ kdeadmin-4.2.2/ksystemlog/src/modes/system/systemConfiguration.h	2009-04-22 16:11:56.000000000 +0200
+@@ -39,7 +39,7 @@
+ 		SystemConfiguration() :
+ 			GenericLogModeConfiguration(
+ 					SYSTEM_LOG_MODE_ID, 
+-					QStringList() << "/var/log/syslog",
++					QStringList() << "/var/log/syslog.log",
+ 					QList<int>() << INFORMATION_LOG_LEVEL_ID
+ 			) {
+ 			



More information about the arch-commits mailing list